# ADRIA.jl

ADRIA: Adaptive Dynamic Reef Intervention Algorithms.

[![Release](https://img.shields.io/github/v/release/open-AIMS/ADRIA.jl)](https://github.com/open-AIMS/ADRIA.jl/releases)  [![DOI](https://zenodo.org/badge/483052659.svg)](https://zenodo.org/badge/latestdoi/483052659)

[![Documentation](https://img.shields.io/badge/docs-stable-blue)](https://open-aims.github.io/ADRIA.jl/stable/) [![Documentation](https://img.shields.io/badge/docs-dev-blue)](https://open-aims.github.io/ADRIA.jl/dev/)

<div >
  <a href="https://github.com/invenia/BlueStyle">
    <img valign="bottom" src="https://img.shields.io/badge/code%20style-blue-4495d1.svg" alt="Code Style Blue">
    </a>
    <p>This project is currently moving to use <a href="https://github.com/invenia/BlueStyle">Blue Style Guide</a>.
Follow the style guide when submiting a PR.</p>
</div>

ADRIA is a decision-support tool designed to help reef managers, modellers and decision-makers
address the challenges of adapting to climate change in coral reefs. It provides line of sight
to conservation solutions in complex settings where multiple objectives need to be considered,
and helps investors identify which options represent the highest likelihood of providing
returns on investment. ADRIA uses a set of dynamic Multi-Criteria Decision Analyses (dMCDA)
which simulates a reef decision maker to identify candidate locations for intervention
deployment which consider ecological, economic and social benefits.

ADRIA also includes a simplified coral ecosystem model to allow exploration of outcomes as a
result of intervention decisions made across a wide range of possible future conditions.

ADRIA requires Julia v1.9 and above.

Setup and usage is demonstrated in the
[Documentation](https://open-aims.github.io/ADRIA.jl/stable/usage/getting_started/).

For developers, refer to the
[Developers setup guide](https://open-aims.github.io/ADRIA.jl/stable/development/development_setup/).
